# Class CIM_DiagnosticTestSoftware
extends CIM_Dependency

This class is being deprecated to promote its usage to the DiagnosticService level. This is an association class relating DiagnosticTest to the SoftwareElements that provide this test. SoftwareElement describes vendor/version information and other deployment data.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_DiagnosticTestSoftware

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | CIM_ElementSoftwareIdentity
Description | string | This class is being deprecated to promote its usage to the DiagnosticService level. This is an association class relating DiagnosticTest to the SoftwareElements that provide this test. SoftwareElement describes vendor/version information and other deployment data.
UMLPackagePath | string | CIM::Application::SystemSoftware
Version | string | 2.8.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_DiagnosticTestSoftware | CIM_SoftwareElement
Dependent | CIM_DiagnosticTestSoftware | CIM_DiagnosticTest

## Class Methods